Subject: bug#20220: severe memory leak on emacs 24.4.1

From: Mario Valencia <[email-masked]>
Date: Tue, 31 Mar 2015 20:19:27 -0600

> However, I think that
>"worthless" is too extreme, and not using it at all is too radical,
>even if you can do nothing in terms of your system configuration to
>bring down the amount of resources consumed by each invocation.  One
>thread and 8 MB of memory is not that large, unless you really invoke
>that command tens or times in a row.

You are wrong. Calling shellexecute tens of times is very common. Just
consider when editing an html file, saving and viewing the file may happen
more than once a minute, so in less than 30 minutes it will hit the bug. Or
when opening files with an external application in dired, if you open more
than 30 files with shellexecute, it will hit the bug, which is not
unlikely. Afterwards, after quitting the debugger, a few more times of
calling the function and emacs will hang permanently.